OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.StencilTwoSide

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTStencilTwoSide :: MonadIO m => m Bool
- gl_EXT_stencil_two_side :: Bool
- gl_ACTIVE_STENCIL_FACE_EXT :: GLenum
- gl_STENCIL_TEST_TWO_SIDE_EXT :: GLenum
- glActiveStencilFaceEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTStencilTwoSide :: MonadIO m => m Bool

Is the EXT_stencil_two_side extension supported?

gl_EXT_stencil_two_side :: Bool

Is the EXT_stencil_two_side extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTStencilTwoSide` in those cases instead.

# Enums

gl_ACTIVE_STENCIL_FACE_EXT :: GLenum

gl_STENCIL_TEST_TWO_SIDE_EXT :: GLenum

# Functions

glActiveStencilFaceEXT

Arguments

:: MonadIO m |
=> GLenum | `face` of type `StencilFaceDirection`.
-> m () |